public static interface DropboxEndpointBuilderFactory.DropboxBuilders
| Modifier and Type | Method and Description |
|---|---|
default DropboxEndpointBuilderFactory.DropboxEndpointBuilder |
dropbox(String path)
Dropbox (camel-dropbox)
Upload, download and manage files, folders, groups, collaborations,
etc on Dropbox.
|
default DropboxEndpointBuilderFactory.DropboxEndpointBuilder |
dropbox(String componentName,
String path)
Dropbox (camel-dropbox)
Upload, download and manage files, folders, groups, collaborations,
etc on Dropbox.
|
default DropboxEndpointBuilderFactory.DropboxEndpointBuilder dropbox(String path)
dropbox:operation
Path parameter: operation (required)
The specific action (typically is a CRUD action) to perform on
Dropbox remote folder.
There are 5 enums and the value can be one of: put, del, search, get,
movepath - operationdefault DropboxEndpointBuilderFactory.DropboxEndpointBuilder dropbox(String componentName, String path)
dropbox:operation
Path parameter: operation (required)
The specific action (typically is a CRUD action) to perform on
Dropbox remote folder.
There are 5 enums and the value can be one of: put, del, search, get,
movecomponentName - to use a custom component name for the endpoint
instead of the default namepath - operationApache Camel